/**
 *  Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"). You may not use this file except in compliance
 *  with the License. A copy of the License is located at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  or in the 'license' file accompanying this file. This file is distributed on an 'AS IS' BASIS, WITHOUT WARRANTIES
 *  OR CONDITIONS OF ANY KIND, express or implied. See the License for the specific language governing permissions
 *  and limitations under the License.
 */
import { OrchestrationExecutor } from './orchestration-executor';
/**
 * Configuration for custom orchestration of the agent.
 */
export interface CustomOrchestration {
    /**
       * The Lambda function to use for custom orchestration.
       */
    readonly executor: OrchestrationExecutor;
}
/**
 * Enum for orchestration types available for agents.
 */
export declare enum OrchestrationType {
    /**
       * Default orchestration by the agent.
       */
    DEFAULT = "DEFAULT",
    /**
       * Custom orchestration using Lambda.
       */
    CUSTOM_ORCHESTRATION = "CUSTOM_ORCHESTRATION"
}
